# Argument validation

E_BADARGS=65
if [ ! -n "$1" ]
then
	echo "Usage: `basename $0` [Rootfs Location]" 
	exit $E_BADARGS
fi

cd $1
if [ "$?" != 0 ]
then
  echo "Error: Rootfs location `basename $1` does not exist"
  exit $E_BADARGS
fi

echo "Rootfs location is $1"

cp -r ./0xbench/Benchmark-release.apk $1/system/app/
cp -r ./0xbench/armeabi/* $1/system/bin/
cp ./3D/OGLES* $1/system/app/
cp ./3D/lib* $1/system/lib/
cp ./StorageIO/StorageIO.apk $1/system/app/
cp ./rowboatBench/rowboat.benchmark.runner-debug.apk $1/system/app/
cp -r ./RowboPERF/bin/armeabi-v7a/* $1/system/bin/
cp ./RowboPERF/RowboPERF.apk $1/system/app/
cp ./StorageIO/StorageIO.apk $1/system/app/
cp ./Launcher2/Launcher2.apk $1/system/app/

rm $1/system/app/Contacts.apk
rm $1/system/app/Mms.apk
rm $1/system/app/SpeechRecorder.apk
echo "TI Performance and Demo apps added to Rootfs"


